# V3.1.4.0 版本更新日志



- [ 新增 ] 增加 `主机列表` 类型变量的获取能力

> 1. 当前仅支持在 bash 脚本中引用并使用主机列表类型的全局变量操作
> 2. 需要在脚本中声明要获取的主机全局变量名（减少其他不需要的场景不必要的开销，提升引擎的处理效率）
>
> 使用方式：
>
> ```bash
> #!/bin/bash
> 
> # job_import {{主机列表的变量名}}			<--- 注意！一定要声明这段，才能获取对应的主机变量值
> echo ${主机列表的变量名}
> ```
>
> 输出结果：
>
> ```json
> 0:10.0.0.1,0:10.0.0.2
> ```
>
> 输出的格式为： `云区域ID + 冒号 + 内网IP`，多个IP地址以逗号分隔；如需要剔除云区域ID可以参考以下命令：
>
> ```bash
> echo ${主机列表的变量名} |awk 'gsub(/[0-9]+:/,"",$0) {print $0}'
> ```

- [ 新增 ] 增加在脚本中获取上一步执行结果的主机列表能力

> 与上面介绍的获取主机列表变量使用方式相同，只是声明的语句不一样
>
> 使用方式：
>
> ```bash
> #!/bin/bash
> 
> # job_import {{JOB_LAST_ALL}}				<--- 声明这段将允许获取到作业上一个步骤的所有执行IP
> # job_import {{JOB_LAST_SUCCESS}}		<--- 声明这段将允许获取到作业上一个步骤执行成功的IP
> # job_import {{JOB_LAST_FAIL}}			<--- 声明这段将允许获取到作业上一个步骤执行失败的IP
> 
> echo ${JOB_LAST_ALL}
> echo ${JOB_LAST_SUCCESS}
> echo ${JOB_LAST_FAIL}
> ```
>
> 输出结果的格式一样是： `云区域ID + 冒号 + 内网IP`，多个 IP地址以逗号分隔

- [ 新增 ] `执行账号` 的鉴权对接了权限中心，操作名为 `执行账号使用`
- [ 新增 ] 第三方系统引用执行方案详情页的固定链接：`{域名}/api_plan/${planId}`



- [ 优化 ] 定时任务的鉴权逻辑优化

> 更新前的鉴权逻辑：
>
> ```
> 定时任务启动后，每次调度执行时都会进行鉴权，如果鉴权不通过将会停止运行
> ```

> 更新后的鉴权逻辑：
>
> ```
> 一旦定时任务被鉴权通过并启动后，每次调度时间触发任务都不会再重复进行鉴权
> ```

> 对于本次改动的思考：
>
> ```
> 人员的变动与业务并不是强依赖的关系（简单说就是“业务”并不会因为负责的运维人员岗位变动了，而随之改变归属），定时任务是用户在作业平台对业务场景需求进行的定时调度配置，如果因为配置人的岗位调动后没有了执行权限，而导致原本调度执行的任务停滞了影响业务逻辑，是不合理的。
> ```

- [ 优化 ] 新建和编辑作业模板提交后的提示框指引交互优化
- [ 优化 ] `脚本执行` 的步骤类型 icon 更新，增强不同类型的辨识度
- [ 优化 ] 消息通知的 `重置` 按钮逻辑优化，可以还原页面未保存前的配置
- [ 优化 ] 作业模板入口进去的执行方案列表页与 `执行方案` 总页的交互保持一致
- [ 优化 ] 执行日志的搜索现在切换命中的目标后会自动锚点到匹配的日志区域了
- [ 优化 ] 作业的配置中，使用了被删除的拓扑节点或动态分组现在也会标识出来了
- [ 优化 ] 优化扩大了文件分发的源文件引用主机的弹窗点击触发区域
- [ 优化 ] 现在步骤执行详情页中的作业流程缩略图可以看未执行步骤的基础信息了



- [ 修复 ] 解决了脚本执行的超时时长设置为0，实际生效的是 1000s 的问题
- [ 修复 ] 解决在执行详情页搜索后，对匹配的主机进行复制还是全量列表的问题
- [ 修复 ] 解决定时任务对表达式解析后的 `下次` 时间不对的问题
- [ 修复 ] 在极端情况下IP选择器对已勾选的目标失效的问题
- [ 修复 ] 解决通过动态拓扑节点申请权限时的跳转错误问题
- [ 修复 ] 修复从作业模板生成执行方案时，`密文` 变量值没有附带过去的问题
- [ 修复 ] 解决节点管理跳转的链接错误的问题
